Package com.complexible.common.rdf.model

# Class ArrayLiteral

java.lang.Object
com.complexible.common.rdf.model.ArrayLiteral

All Implemented Interfaces:
  `TransientValue`, `Literal`, `Value`, `Serializable`

public class ArrayLiteral extends Object implements Literal, TransientValue
Literal consisting of an array of Stardog IDs

Since:
  5.0
Version:
  6.0
Author:
  Pedro Oliveira
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IRI`
  `ARRAY`

  ### Fields inherited from interface com.stardog.stark.Literal

  `STRICT_TYPES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayLiteral(long... theValues)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ArrayLiteral`
  `coerce(Literal encodedValue)`
  `Datatype`
  `datatype()`
  The datatype of the `Literal`.
  `IRI`
  `datatypeIRI()`
  The IRI of the `Datatype` of the `Literal`.
  `boolean`
  `equals(Object theObject)`
  `long[]`
  `getValues()`
  `int`
  `hashCode()`
  `String`
  `label()`
  The lexical value of the literal

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.stardog.stark.Literal

  `lang`

- ## Field Details

  - ### ARRAY

    public static final IRI ARRAY

- ## Constructor Details

  - ### ArrayLiteral

    public ArrayLiteral(long... theValues)

- ## Method Details

  - ### getValues

    public long[] getValues()

  - ### datatype

    @Nonnull public Datatype datatype()
    The datatype of the `Literal`. Some serializations of RDF use a "simple literal" which is a literal with no explicit datatype. That is just syntactic sugar for `xsd:string` typed literals.
    Specified by:
      `datatype` in interface `Literal`
    Returns:
      the Datatype

  - ### datatypeIRI

    @Nonnull public IRI datatypeIRI()
    The IRI of the `Datatype` of the `Literal`. Often, this is syntactic sugar for `datatype().iri()` however, in the case where it is a user defined datatype, eg `Datatype.UDF` this will return the specific IRI of the datatype.
    Specified by:
      `datatypeIRI` in interface `Literal`
    Returns:
      the datatype IRI of the lexical value

  - ### label

    @Nonnull public String label()
    The lexical value of the literal
    Specified by:
      `label` in interface `Literal`
    Returns:
      the lexical value

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object theObject)
    Overrides:
      `equals` in class `Object`

  - ### coerce

    public static ArrayLiteral coerce(Literal encodedValue)